# Generated by Django 4.2.9 on 2024-01-09 15:08

import colorfield.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('chronos', '0014_add_managed_by_app_label'),
    ]

    operations = [
        migrations.AlterModelManagers(
            name='absencereason',
            managers=[
            ],
        ),
        migrations.AlterModelManagers(
            name='subject',
            managers=[
            ],
        ),
        migrations.AlterModelManagers(
            name='supervisionarea',
            managers=[
            ],
        ),
        migrations.RemoveConstraint(
            model_name='absencereason',
            name='unique_short_name_per_site_absence_reason',
        ),
        migrations.RemoveConstraint(
            model_name='break',
            name='unique_short_name_per_site_break',
        ),
        migrations.RemoveConstraint(
            model_name='subject',
            name='unique_short_name_per_site_subject',
        ),
        migrations.RemoveConstraint(
            model_name='supervisionarea',
            name='unique_short_name_per_site_supervision_area',
        ),
    ] + [
        migrations.RunSQL(
            f"ALTER TABLE chronos_{model_name} drop column if exists site_id;"
        ) for model_name  in
        [
            "absence",
            "absencereason",
            "automaticplan",
            "break",
            "event",
            "exam",
            "extralesson",
            "holiday",
            "lesson",
            "lessonperiod",
            "lessonsubstitution",
            "subject",
            "supervision",
            "supervisionarea",
            "supervisionsubstitution",
            "timeperiod",
            "validityrange"
        ]
    ] +  [
        migrations.AlterField(
            model_name='absence',
            name='comment',
            field=models.TextField(blank=True, default='', verbose_name='Comment'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='absencereason',
            name='name',
            field=models.CharField(blank=True, default='', max_length=255, verbose_name='Name'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='absencereason',
            name='short_name',
            field=models.CharField(max_length=255, unique=True, verbose_name='Short name'),
        ),
        migrations.AlterField(
            model_name='event',
            name='title',
            field=models.CharField(blank=True, default='', max_length=255, verbose_name='Title'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='extralesson',
            name='comment',
            field=models.CharField(blank=True, default='', max_length=255, verbose_name='Comment'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='holiday',
            name='comments',
            field=models.TextField(blank=True, default='', verbose_name='Comments'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='lessonsubstitution',
            name='comment',
            field=models.TextField(blank=True, default='', verbose_name='Comment'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='subject',
            name='colour_bg',
            field=colorfield.fields.ColorField(blank=True, default='', image_field=None, max_length=25, samples=None, verbose_name='Background colour'),
        ),
        migrations.AlterField(
            model_name='subject',
            name='colour_fg',
            field=colorfield.fields.ColorField(blank=True, default='', image_field=None, max_length=25, samples=None, verbose_name='Foreground colour'),
        ),
        migrations.AlterField(
            model_name='subject',
            name='short_name',
            field=models.CharField(max_length=255, unique=True, verbose_name='Short name'),
        ),
        migrations.AlterField(
            model_name='supervisionarea',
            name='colour_bg',
            field=colorfield.fields.ColorField(default='#FFFFFF', image_field=None, max_length=25, samples=None),
        ),
        migrations.AlterField(
            model_name='supervisionarea',
            name='colour_fg',
            field=colorfield.fields.ColorField(default='#000000', image_field=None, max_length=25, samples=None),
        ),
        migrations.AlterField(
            model_name='supervisionarea',
            name='short_name',
            field=models.CharField(max_length=255, unique=True, verbose_name='Short name'),
        ),
        migrations.AlterField(
            model_name='timeperiod',
            name='weekday',
            field=models.PositiveSmallIntegerField(choices=[(0, 'Monday'), (1, 'Tuesday'), (2, 'Wednesday'), (3, 'Thursday'), (4, 'Friday'), (5, 'Saturday'), (6, 'Sunday')], verbose_name='Week day'),
        ),
        migrations.AddConstraint(
            model_name='break',
            constraint=models.UniqueConstraint(fields=('validity', 'short_name'), name='unique_short_name_per_validity_break'),
        ),
    ]
