# Generated by Django 4.1.8 on 2023-06-29 14:50

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("core", "0051_calendarevent_and_holiday"),
        ("cursus", "0001_initial"),
        ("chronos", "0015_drop_site"),
    ]

    operations = [
        migrations.CreateModel(
            name="LessonEvent",
            fields=[
                (
                    "calendarevent_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="core.calendarevent",
                    ),
                ),
                (
                    "title",
                    models.CharField(blank=True, max_length=255, verbose_name="Name"),
                ),
                (
                    "cancelled",
                    models.BooleanField(default=False, verbose_name="Cancelled"),
                ),
                ("comment", models.TextField(blank=True, verbose_name="Comment")),
                (
                    "course",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="cursus.course",
                        verbose_name="Course",
                    ),
                ),
                (
                    "groups",
                    models.ManyToManyField(
                        blank=True,
                        related_name="lesson_events",
                        to="core.group",
                        verbose_name="Groups",
                    ),
                ),
                (
                    "rooms",
                    models.ManyToManyField(
                        blank=True,
                        related_name="lesson_events",
                        to="core.room",
                        verbose_name="Rooms",
                    ),
                ),
                (
                    "subject",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="lesson_events",
                        to="cursus.subject",
                        verbose_name="Subject",
                    ),
                ),
                (
                    "teachers",
                    models.ManyToManyField(
                        blank=True,
                        related_name="lesson_events_as_teacher",
                        to="core.person",
                        verbose_name="Teachers",
                    ),
                ),
            ],
            options={
                "verbose_name": "Lesson Event",
                "verbose_name_plural": "Lesson Events",
            },
            bases=("core.calendarevent",),
        ),
        migrations.CreateModel(
            name="SupervisionEvent",
            fields=[
                (
                    "lessonevent_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="chronos.lessonevent",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("chronos.lessonevent",),
        ),
    ]
